Create Conversation
curl --request POST \
--url https://api.member.dev/api/v1/hubs/{hub_id}/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"audience_contact_ids": [
"<string>"
],
"title": "<string>"
},
"type": "<string>"
}
}
'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/conversations"
payload = { "data": {
"attributes": {
"audience_contact_ids": ["<string>"],
"title": "<string>"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {audience_contact_ids: ['<string>'], title: '<string>'},
type: '<string>'
}
})
};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"created_at": "<string>",
"hub_id": "<string>",
"is_archived": true,
"is_group": true,
"is_muted": true,
"is_pinned": true,
"last_entry": {
"author_contact_id": "<string>",
"author_display_name": "<string>",
"body_preview": "<string>",
"created_at": "<string>",
"event": {
"previous_title": "<string>",
"title": "<string>"
}
},
"last_message_at": "<string>",
"last_message_preview": "<string>",
"participants": [],
"title": "<string>",
"unread_count": 123
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-conversations
Create Conversation
Create a new DM conversation (1:1 or group).
For 1:1: idempotent — returns the existing conversation if one already exists between the two contacts in this hub.
Requires the caller and all audience contacts to be active hub members. Returns 422 when fewer than 2 distinct contacts are provided or when the group cap (50 members) would be exceeded. Requires Content-Type: application/vnd.api+json.
POST
/
api
/
v1
/
hubs
/
{hub_id}
/
conversations
Create Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
⌘I